#target "bridge"

var SnpCreateTextInspectorPanel = {};

SnpCreateTextInspectorPanel.getDetails = function() {
	var retval = "";
	for(var i=0; i < app.document.selections.length; i++) {
		// Support multiple selections, iterate the entire selection.
		var myObj = app.document.selections[i];
		myObj.refresh();
		retval += " - " + myObj.name + "\n";
		if(myObj.hasMetadata) {
			var myMd = myObj.metadata;
			myMd.namespace = "http://ns.adobe.com/xap/1.0/";
			var myDesc = myMd.read("http://ns.adobe.com/xap/1.0/", "xap:Description") ;
			myDesc = (myDesc != "") ? myDesc += "\n\n" : "No information about links\n\n";
			retval += myDesc;
		}
	}
	return retval;
}
//+++++++++++++++++++++++++++++++++++++

if ((MenuElement.find("ShowInDesignLinks" ))) {
	$.writeln("Error:Menu element already exists!\nRestart Bridge to run this snippet again.");
}
else {	
	main();
}

function main() {
	var myTest = new MenuElement( "command", "Show InDesign links", "at the end of Tools", "ShowInDesignLinks" ); 
	myTest.onSelect = function () {
		// Create the object-inspector panel
		var myPanel = new InspectorPanel("Info about selected files");

		// Register the panel with the application.
		app.registerInspectorPanel(myPanel);
		var kvp = [
			["","[[javascript:SnpCreateTextInspectorPanel.getDetails()]]"]
		];
		var myTextPanelette = new TextPanelette("Kasyan Text Panelette", "List of links", "[[this]]", kvp);
		// Register the subpanel with the panel.
		myPanel.registerPanelette(myTextPanelette);

		// Show the inspector panel
		app.document.displayInspectorView = true;
	}
}